
Redmine - Defect #7102

Wrong URL if using batch ticket creation

2010-12-13 16:26 - Terence Mill

Status: Closed Start date: 2010-12-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.0.2

Description

Ig i click "create ticket + next ticket" on ticket form i get

Sucessfully created

404

The page you were trying to access doesn't exist or has been removed..

Back

 The Url redmine opens after ticket creation for new ticket seems wrong to me.

/issues/new?issue[tracker_id]=2

The url should be...

/projects/sandbox/issues/new?[tracker_id]=2

History

#1 - 2010-12-14 19:48 - Jean-Philippe Lang

I'm not able to reproduce with trunk or 1.0-stable.

#2 - 2010-12-15 17:13 - Terence Mill

Well, we use 1.02.

Maybe its aplugin, but is there a hook or cutting point the plugin can overwrite only the "create and next issue" request?

We don't have problems with creation of tickets itself, but the url created for new issue redirect seems to be wrong.

I you you would gave me some ideas where to look and what to search i could try to isolate the cause.

Tx for support!

#3 - 2010-12-15 17:18 - Terence Mill

For example:

Here is the html part of the site where the button is defined which does the "create and next issue" server request.

    <input name="continue" type="submit" value="Anlegen + nächstes Ticket" /> 

    <a accesskey="r" href="#" onclick="new Ajax.Updater('preview', '/issues/preview?project_id=spielwiese', {a

synchronous:true, evalScripts:true, method:'post', onComplete:function(request){Element.scrollTo('preview')}, 

parameters:Form.serialize('issue-form') + '&amp;authenticity_token=' + encodeURIComponent('7xiDhPzkm7m1ca4IHN7

GpOJ7IASTDJa3KiAQdmGZW3o=')}); return false;">Vorschau</a> 

        <script type="text/javascript"> 

<pre>

#4 - 2010-12-16 05:21 - Mischa The Evil

I am not able to reproduce with the current trunk too... Which plugins do you have installed?

#5 - 2010-12-16 11:04 - Terence Mill

At the moment the test system is setup with this plugins:

acts_as_activity_provider  redmine_contacts

acts_as_attachable       redmine_doodles

acts_as_customizable       redmine_embedded_video
acts_as_event           redmine_goyello_stuff_to_do

acts_as_list           redmine-graphs-plugin

acts_as_searchable       redmine_hudson

acts_as_tree           redmine_icalendar_export

acts_as_versioned       redmine_importer

acts_as_watchable       redmine_local_avatars

awesome_nested_set       redmine_logs

classic_pagination       redmine_messenger

coderay-0.9.2           redmine_mylyn_connector

engines               redmine_my_widgets

gravatar           redmine_opensearch

open_flash_chart       redmine_screenshot_paste-1.1.0

open_id_authentication       redmine-system-notification-plugin

pluginslist.txt           redmine_vote

prepend_engine_views       redmine_wikicreole_formatter

projects_tree_view       redmine_wiki_extensions

question_plugin           redmine_wiki_unc

redmine_bbb           redmine_workflow_viz

redmine_boards_watchers    redmine_xls_export

redmine_charts           rfpdf

redmine_checkout       ruby-net-ldap-0.0.4

redmine_code_review

#6 - 2010-12-16 16:38 - Mischa The Evil

Terence Mill wrote:

At the moment the test system is setup with this plugins:

acts_as_activity_provider  redmine_contacts

acts_as_attachable       redmine_doodles

acts_as_customizable       redmine_embedded_video

acts_as_event           redmine_goyello_stuff_to_do

acts_as_list           redmine-graphs-plugin

acts_as_searchable       redmine_hudson

acts_as_tree           redmine_icalendar_export

acts_as_versioned       redmine_importer

acts_as_watchable       redmine_local_avatars

awesome_nested_set       redmine_logs

classic_pagination       redmine_messenger

coderay-0.9.2           redmine_mylyn_connector

engines               redmine_my_widgets

gravatar           redmine_opensearch

open_flash_chart       redmine_screenshot_paste-1.1.0

open_id_authentication       redmine-system-notification-plugin

pluginslist.txt           redmine_vote

prepend_engine_views       redmine_wikicreole_formatter

projects_tree_view       redmine_wiki_extensions

question_plugin           redmine_wiki_unc

redmine_bbb           redmine_workflow_viz

redmine_boards_watchers    redmine_xls_export

redmine_charts           rfpdf

redmine_checkout       ruby-net-ldap-0.0.4

redmine_code_review

 That's a hole bunch of plugins. Most likely there is at least one which probably overwrites the respective cores views which you are experiencing. Try

to find the one which causes this issue and report the defect to the plugin author.

Btw: some logs might be useful here also...

#7 - 2011-03-13 18:08 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Closing this as 1.1-stable and trunk are definitely not affected by this issue.

Maybe a plugin that overrides the entire view.

#8 - 2011-03-13 18:28 - Terence Mill

This error is caused by your screenshot paste plugin. As this plugin is weighty for many redmine users, it would be great if you could maintain it

together with the redmine release or even integrate it as basic feature.
